Subject: 26.1.50; show-paren-mode disables off-screen-paren-match

From: Stefan Guath <[email-masked]>
Date: Thu, 27 Sep 2018 11:35:06 +0200

SUMMARY
When show-paren-mode is enabled, the setting (setq blink-matching-paren
'jump-offscreen) is disabled, which is annoying.

DESCRIPTION
When show-paren-mode is enabled, the only respected setting for
blink-matching-paren is "any other non-nil value" which echos matched
parens only when they are off-screen. The settings t, 'jump and
'jump-offscreen are disabled.

I can understand why the settings t and 'jump are disregarded since it
would just be a redundant functionality of show-paren-mode. But I don't
understand why the setting 'jump-offscreen is disregarded. I think it's a
better option than "echo match off screen paren" since i) a jump (i.e. a
scroll) gives more context than a one-liner in the echo area, and ii) it's
very convenient to get a semantic based scroll operation automatically.